# Flux privés

Documentation en cours de rédaction..

## Utiliser des mots de passe cryptés dans les mapfile du flux privé

Pour toute application ouverte à un certain nombre d'utilisateurs, il est utile voir indispensable de crypter les mots de passes situés à l'intérieur des mapfiles générés lors de l'utilisation de flux privés.

Pour faire ceci, Mapserver propose la librairie **msencrypt** qui va crypter le mot de passe pour qu'il ne soit accessible uniquement par Mapserver lui même.

### Générer un fichier la clé de cryptage

Tout type de cryptage nécessite une clé de cryptage qu'il va falloir générer et copier dans le dossier " /var/www/vmap/vas/ws\_data/vm4ms/map/msencrypt/".

Etape 1 : Vérifier si ce dossier existe.

Etape 2 : Si ce dossier n'existe pas, le générer à partir de la commande ci-après.

```
sudo mkdir /var/www/vmap/vas/ws\_data/vm4ms/map/msencrypt/
```

Etape 3 : Générer la clef de cryptage dans le dossier créé ci-dessus. Puor ce faire, exécuter la commande suivante : 

```
sudo /var/www/vmap/vas/server/mapserver/bin/msencrypt -keygen /var/www/vmap/vas/ws_data/vm4ms/map/msencrypt/vm4ms_key.txt
```

### Modifier la définition du flux privé

Pour dire à Mapserver d'utiliser la clé de cryptage il faudra indiquer le fichier précédemment généré dans la définition, pour cela écrire la ligne ci-dessous.

```
CONFIG "MS_ENCRYPTION_KEY" "/var/www/vmap/vas/ws_data/vm4ms/map/msencrypt/vm4ms_key.txt"
```

### Modifier les properties du module Mapserver

Pour activer le cryptage des mots de passe par le module Mapserver, il faudra modifier le fichier de properties vmap/vas/rest/conf/vm4ms/properties\_post.inc et mettre la propertie **use_msencrypt** à true
